
function auc = roc_auc(epo)
%ROC_AUC - computes ROC curves and their corresponding AUC values
%
%Synopsis:
% AUC = roc_auc(EPO)
%
%Arguments:
% EPO     - data structure of epoched data
%
%Returns:
% AUC     - updated data structure with fields
%  .x     - [T x C] matrix of AUC values for each time point and channel
%  .roc   - [T x C x E x 2] matrix of ROC values such that
%           AUC.roc(ti,ci,:,1) plotted against AUC.roc(ti,ci,:,2) shows the
%           ROC curve for time index ti and channel index ci






auc = epo;
auc = rmfield(auc,'y');
auc.className = {sprintf('auc(%s,%s)',epo.className{:})};