
function rsq = signed_r_square(epo)
%SIGNED_R_SQUARE - computes signed r^2 values
%
%Synopsis:
% RSQ = signed_r_square(EPO)
%
%Arguments:
% EPO     - data structure of epoched data
%
%Returns:
% RSQ     - updated data structure with fields
%  .x     - [T x C] matrix of signed r^2 values for each time point and
%           channel






rsq = epo;
rsq = rmfield(rsq,'y');
rsq.className = {sprintf('sgn r^2(%s,%s)',epo.className{:})};
